=== debian/control ===
Source: ros-noetic-slam-toolbox
Section: misc
Priority: optional
Maintainer: Steve Macenski <stevenmacenski@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libceres-dev, libeigen3-dev, libgtest-dev <!nocheck>, liblapack-dev, libqt5core5a, libqt5widgets5, libsuitesparse-dev, libtbb-dev, qtbase5-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-interactive-markers, ros-noetic-libg2o, ros-noetic-map-server, ros-noetic-message-filters, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-slam-toolbox-msgs, ros-noetic-sparse-bundle-adjustment, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-slam-toolbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libceres-dev, libeigen3-dev, liblapack-dev, libqt5core5a, libqt5widgets5, libsuitesparse-dev, libtbb-dev, ros-noetic-interactive-markers, ros-noetic-libg2o, ros-noetic-map-server, ros-noetic-message-filters, ros-noetic-message-runtime, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-slam-toolbox-msgs, ros-noetic-sparse-bundle-adjustment, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Description: This package provides a sped up improved slam karto with updated SDK and visualization and modification toolsets
